



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Flask入门之SQLAlchemy配置与数据库连接</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Flask入门之SQLAlchemy配置与数据库连接</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-10 19:06:16 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>1. 安装SQLAlchemy</h2>
<div>
<pre class="prettyprint linenums">pip install flask-sqlalchemy</pre>
</div>
<h2>2. 导入和配置</h2>
<div>
<pre class="prettyprint linenums">from flask_sqlalchemy import SQLAlchemy<br />
basedir = path.dirname(__file__)

app.config.from_pyfile('config')<br />
app.config['SQLALCHEMY_DATABASE_URI'] = \<br />
    'sqlite:///' + path.join(base.dir, 'data.sqlite')<br />
app.config['SQLALCHEMY_COMMIT_ON_TEARDOWN'] = True</pre>
</div>
<h2>3. 创建表类</h2>
<div>
<pre class="prettyprint linenums">class Role(db.Model):<br />
    __tablename__ = 'roles'<br />
    id = db.Column(db.Integer, primary_key=True)<br />
    name = db.Column(db.String, nullable=True)<br />
    users = db.relationship('User', backref=True)

class User(db.Model):<br />
    __tablename__ = 'users'<br />
    id = db.Column(db.Integer, primary_key=True)<br />
    name = db.Column(db.String, nullable=True)<br />
    password = db.Column(db.String, devnull=True)<br />
    role_id = db.Column(db.Integer,db.ForeignKey('roles.id'))</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/39rgogr8.html">OpenCV学习笔记（一）&mdash;&mdash;OpenCV3&period;1&period;0&plus;VS2015开发环境配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z3g73q.html">使用智能指针来管理对象 &lpar;基于RAII&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jgwkl9.html">php构造函数连接数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93lokn9.html">Java调试</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxmegj9.html">测试nfs和cifs</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2po638.html">标准IO的缓冲问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m7e5xq.html">浅谈ASP&period;NET报表控件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okl0zx9.html">leetcode&commat; &lbrack;274&sol;275&rsqb; H-Index &amp;amp&semi; H-Index II &lpar;Binary Search &amp;amp&semi; Array&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k140k39.html">chkconfig用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1ll779.html">bzoj 3858&colon; Number Transformation 暴力</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd7dejq.html">2014 青年歌手大赛 AC</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdv2gm8.html">本地plsqldev&period;exe连接远端oracle数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/8memeyoq.html">Sql语句之select 5种查询</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg7yyr8.html">Jenkins集成源码静态分析工具</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgovyr8.html">uni-app图片压缩转base64位 利用递归来实现多张图片压缩</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjrmve9.html">leetcode98</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj4vn59.html">C&num;&lowbar;图片存取数据库Winform</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mjm6308.html">Accer 4752G添加固态硬盘 双系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjdj4zq.html">string&period;Format字符串格式说明&lpar;转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkejvx8.html">caffe windows编译</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/950kxpm8.html">解决在onCreate&lpar;&rpar;过程中获取View的width和Height为0的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zyz5j9.html">Android存储系统的架构与设计</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oj01olq.html">How To Transact Move Order Using INV&lowbar;PICK&lowbar;WAVE&lowbar;PICK&lowbar;CONFIRM&lowbar;PUB&period;Pick&lowbar;Confirm API</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjzv328.html">iOS开发经验相关知识</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpgom69.html">Android官方技术文档翻译&mdash;&mdash;Eclilpse项目迁移</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gevd478.html">Android BLE与终端通信（四）&mdash;&mdash;实现服务器与客户端即时通讯功能</a>
			</li>
						<li><a href="https://www.batexi.com/a/96pw5dy8.html">Stackoverflow上人气最旺的10个Java问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkme6e8.html">Mybatis的resultType</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jl0gl8.html">DH密钥交换非对称加密</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jlgdx8.html">RubyMotion之父：Ruby是目前替代Objective-C的最佳iOS开发语言</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
